#!/bin/bash


mkdir test
mkdir test/f-factor
mkdir test/LPnF
echo -n "aaaaaaaaa" > test/a.txt
	


### f-factor algorithms ###
make all

./AKO.x test/a.txt test/f-factor/ako.f-factor test/f-factor/ako.prevOcc
./KKP3.x test/a.txt 1 test/f-factor/kkp3.f-factor test/f-factor/kkp3.prevOcc
./LZ_OG.x test/a.txt 1 test/f-factor/lz_og.f-factor test/f-factor/lz_og.prevOcc
./f-factor.x test/a.txt test/f-factor/f-factor.f-factor test/f-factor/f-factor.prevOcc

### compare results ###
diff test/f-factor/ako.f-factor test/f-factor/kkp3.f-factor
diff test/f-factor/kkp3.f-factor test/f-factor/lz_og.f-factor
diff test/f-factor/lz_og.f-factor test/f-factor/f-factor.f-factor

make clean



### LPnF algorithms ###
make all_LPnF
./AKO.x test/a.txt test/LPnF/ako.lpnf test/LPnF/ako.prevOcc
./KKP3.x test/a.txt 0 test/LPnF/kkp3.lpnf test/LPnF/kkp3.prevOcc
./LZ_OG.x test/a.txt 0 test/LPnF/lz_og.lpnf test/LPnF/lz_og.prevOcc

### compare results ###
diff test/LPnF/ako.lpnf test/LPnF/kkp3.lpnf
diff test/LPnF/kkp3.lpnf test/LPnF/lz_og.lpnf

make clean


